------------------------------------------------------------------------------------
--Name:  	wuseng3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-12-25
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(334, 378)
CppScriptMgr:SetViewScale(300)
local npc_0 = CppScriptMgr:AddSimplePlayer(38616, 334, 378, "", 0, 0)
npc_0:SetDir(6)
local effect_0 = CppScriptMgr:AddEffect("MMS_MFDL", 334, 378, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("All karmic burdens, I shall bear them alone.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_wusengjx2", 150, 430, "Yunyin", 250, 655, true)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Though this body perishes, may all beings escape suffering and avoid calamity.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_wusengjx2", 150, 430, "Yunyin", 250, 655, true)
CppScriptMgr:WaitMilSec(1500)
npc_0:SetAction(260)
local effect_1 = CppScriptMgr:AddEffect("irongate_superc", 334, 378, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("zf2-e019", 334, 378, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
npc_0:SetFrameInterval(100000)
CppScriptMgr:WaitMilSec(1000)
npc_0:SetHide(1)
local effect_3 = CppScriptMgr:AddEffect("_p_15_Wflower_r_wea2", 334, 378, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1500)